services:
  extension-management:
    build:
      context: ".."
      dockerfile: "extension/Dockerfile"
      target: "development"
    image: "docker-hosted.nexus.bthlabs.pl/hotpocket/extension:local"
    command: "echo 'NOOP'"
    environment: &extension-env
      PYTHONBREAKPOINT: "ipdb.set_trace"
      HOTPOCKET_EXTENSION_ENV: "${HOTPOCKET_EXTENSION_ENV:-docker}"
      REQUESTS_CA_BUNDLE: "/srv/tls/requests_ca_bundle.pem"
      RUN_POETRY_INSTALL: "true"
      RUN_YARN_INSTALL: "true"
      SETUP_BACKEND: "true"
      SETUP_FRONTEND: "true"
    volumes:
      - "extension_venv:/srv/venv"
      - "extension_node_modules:/srv/node_modules"
      - ".:/srv/app"
      - "../packages:/srv/packages"
      - "../tls:/srv/tls"
    restart: "no"
    stdin_open: true
    tty: true

volumes:
  extension_venv:
  extension_node_modules:
